{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import '_includes/macros.html.twig' as appMacros %}

<div class="box box-default">
    <div class="box-header with-border">
        <h3 class="box-title">Flux en attente de validation</h3>
        <div class="box-tools pull-right">
            <a href="{{ path('flux.conception') }}" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> Tous les flux en attente</a>
        </div>
    </div>

    {% if flows is defined and flows | length > 0 %}
        <!-- /.box-header -->
        <div class="box-body p-0">
            <div class="table-responsive">
                <table class="table table-hover no-margin">
                    <thead>
                    <tr>
                        <th>Structure</th>
                        <th>Flux</th>
                        <th>Mise à jour</th>
                        <th>POI</th>
                    </tr>
                    </thead>
                    <tbody>
                        {% for flux in flows %}
                            <tr>
                                <td><a href="{{ path('organization.edit', {id: flux.organization.id}) }}">{{ flux.organization.name }}</a></td>
                                <td><a href="{{ path('flux.parameters', {id: flux.id}) }}">{{ flux.name }}</a></td>
                                <td>{{ appMacros.process_mode_icon(flux.lastActiveProcess) }}</td>
                                <td>{{ flux.lastActiveProcess.nbPublishedRdfResources }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
            <!-- /.table-responsive -->
        </div>
        <!-- /.box-footer -->
    {% else %}
        <div class="box-body">
            <div class="text-muted-light">Aucun flux en validation</div>
        </div>
    {% endif %}
</div>


